SDL_SetClipRect(3)

NAME
SDL_SetClipRect - Sets the clipping rectangle for a surface.

SYNOPSIS

#include "SDL.h"

void SDL_SetClipRect(SDL_Surface *surface, SDL_Rect *rect);

DESCRIPTION

Sets the clipping rectangle for a surface. When this surface is the destination of a blit, only the area within the clip rectangle will be drawn into.

The rectangle pointed to by rect will be clipped to the edges of the surface so that the clip rectangle for a surface can never fall outside the edges of the surface.

If rect is NULL the clipping rectangle will be set to the full size of the surface.

SEE ALSO

SDL_GetClipRect, SDL_BlitSurface, SDL_Surface